<?
require('conexion.php');

header('Content-Type: text/xml');//le digo al browser que es un documento xml
echo '<?xml version="1.0" encoding="iso-8859-1" standalone="no"?>';//le coloco la version de xml y a codificacion




$idioma = $_GET['idioma'];


$sql="SELECT * FROM NTARI WHERE NOPUBLICARWEB='0' AND SUBLICEN='00' ORDER BY ORDENWEB ASC";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
//print odbc_result_all($result,"border=1");

echo '<tarifas>';

while ($row = odbc_fetch_array($result)) {
	
	//echo $row['CODIGO'].' - '.$row['NOMBRE'].'<br />';
	echo '<tarifa>';
	echo '<cod_tarifa>'.$row['CODIGO'].'</cod_tarifa>';
	echo '<nom_tarifa>'.$row['NOMBRE'].'</nom_tarifa>';
	//extraemos el nombre en ingles
	$rsql="SELECT * FROM IDIOMA_TRADUCCION WHERE IDIOMA='2' AND TEXTO='".$row['NOMBRE']."'";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
while ($fila = odbc_fetch_array($results)) {
	$tarifa_en = $fila['TRADUCCION'];
}
	echo '<nom_tarifa_en>'.$tarifa_en.'</nom_tarifa_en>';
	//extraemos tarifa en frances
		$rsql="SELECT * FROM IDIOMA_TRADUCCION WHERE IDIOMA='3' AND TEXTO='".$row['NOMBRE']."'";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
while ($fila = odbc_fetch_array($results)) {
	$tarifa_fr = $fila['TRADUCCION'];
}
	echo '<nom_tarifa_fr><![CDATA['.$tarifa_fr.']]></nom_tarifa_fr>';
	echo '<con_tarifa><![CDATA['.chop($row['COND_TAR']).']]></con_tarifa>';
	//extraemos condiciones tarifa ingles
		$rsql="SELECT * FROM TARI_COND WHERE IDIOMA='2' AND NTARI='".$row['CODIGO']."'";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
while ($fila = odbc_fetch_array($results)) {
	$condicion_en = $fila['CONDICIONES'];
}
	echo '<con_tarifa_en><![CDATA['.chop($condicion_en).']]></con_tarifa_en>';
		//extraemos condiciones tarifa ingles
		$rsql="SELECT * FROM TARI_COND WHERE IDIOMA='3' AND NTARI='".$row['CODIGO']."'";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
while ($fila = odbc_fetch_array($results)) {
	$condicion_fr = $fila['CONDICIONES'];
}
	echo '<con_tarifa_fr><![CDATA['.chop($condicion_fr).']]></con_tarifa_fr>';
	echo '</tarifa>';
	
}

echo '</tarifas>';

?>